# AdapterEzEditTable | tablefilter v0.4.16 API Document

    import AdapterEzEditTable from 'tablefilter/src/extensions/advancedGrid/adapterEzEditTable.js'

public class | source

# AdapterEzEditTable

#### Extends:

Feature → AdapterEzEditTable

Adapter module for ezEditTable, an external library providing advanced grid features (selection and edition): http://codecanyon.net/item/ezedittable-enhance-html-tables/2425123?ref=koalyptus

## Constructor Summary

Public Constructor
public | constructor (tf: TableFilter, cfg: Object) Creates an instance of AdapterEzEditTable |

## Member Summary

Public Members
public | desc : String Module description |
public | filename : String Filename of ezEditTable library |
public | initialized : boolean |
public | loadStylesheet : Boolean Load ezEditTable stylesheet |
public | stylesheet : String Path to ezEditTable stylesheet |
public | stylesheetName : String Name of ezEditTable stylesheet |
public | vendorPath : String Path to ezEditTable library |

## Method Summary

Public Methods
public | destroy () Remove advanced grid |
public | init () Conditionally load ezEditTable library and set advanced grid |
public | reset () Reset advanced grid when previously removed |
public | toggle () Toggle behaviour |

## Inherited Summary

From class Feature
public | config : Object TableFilter configuration |
public | emitter : Emitter TableFilter emitter instance |
public | enabled : Boolean TableFilter feature setting |
public | feature : String Feature name |
public | initialized : Boolean Field indicating whether Feature is initialized |
public | tf : TableFilter TableFilter instance |
public | destroy () Destroy the feature |
public | disable () Disable the feature |
public | enable () Enable the feature |
public | init () Initialize the feature |
public | isEnabled (): Boolean Indicate whether the feature is enabled or not |
public | reset () Reset the feature after being disabled |

## Public Constructors

### public constructor(tf: TableFilter, cfg: Object) source

Creates an instance of AdapterEzEditTable

#### Override:

Feature#constructor

#### Params:

Name | Type | Attribute | Description
tf | TableFilter |  | TableFilter instance
cfg | Object |  | Configuration options for ezEditTable library

## Public Members

### public desc: String source

Module description

### public filename: String source

Filename of ezEditTable library

### public initialized: boolean source

#### Override:

Feature#initialized

### public loadStylesheet: Boolean source

Load ezEditTable stylesheet

### public stylesheet: String source

Path to ezEditTable stylesheet

### public stylesheetName: String source

Name of ezEditTable stylesheet

### public vendorPath: String source

Path to ezEditTable library

## Public Methods

### public destroy() source

Remove advanced grid

#### Override:

Feature#destroy

### public init() source

Conditionally load ezEditTable library and set advanced grid

#### Override:

Feature#init

### public reset() source

Reset advanced grid when previously removed

#### Override:

Feature#reset

### public toggle() source

Toggle behaviour